@echo off
setlocal
set CLASSPATH=%CD%;%CLASSPATH%
set JAVAC=javac

if %1. == . goto continue
if %1. == cleanup. goto cleanup
echo Invalid argument "%1". Pass either nothing or 'clean'.
echo Usage: run [no arguments^|clean]
exit /b 1

:continue
echo ASN.1-compiling the syntax...
echo.
asn1pjav baseball -err baseball.log -der -per
if errorlevel 1 (
	echo Error ASN.1-compiling.
	exit /b 1
)

if exist "%OSS_ASN1_JAVA%\lib\oss.jar" goto next
echo The environment variable OSS_ASN1_JAVA not set.  Exiting...
exit /b 1

:next
cd baseball
echo Java-compiling generated classes...
echo.
call baseball.bat %JAVAC% -g >>..\baseball.log
cd ..

%JAVAC% -g *.java >>baseball.log
if not exist Tthreads.class (
	echo Error Java-compiling.
	echo Tthreads.class not found.
	exit /b 1
)

echo Running the test...
echo.

java Tthreads
if exist baseball (
	rmdir /s /q baseball
	exit /b 0
)

:cleanup
if exist baseball     rmdir /s /q baseball
if exist baseball.log del baseball.log
if exist *.class      del *.class
