#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f baseball.log
	rm -f *.class
	break;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
	echo ""
	asn1pjav baseball -err baseball.log -der -per
	if [ $? -eq 0 ]; then 
	    cd baseball
	    echo "Java-compiling generated classes..."
	    echo ""
	    sh baseball.sh 2>&1 >> ../baseball.log
	    cd ..
	    ${JAVAC} Tthreads.java 2>&1 >> baseball.log
	    if [ -f Tthreads.class ]; then
		echo "Running the test...";
		echo ""
		${JAVA} Tthreads;
	    fi
	fi
	rm -fr baseball
	break;;

    *)
	echo "Invalid argument \"$1\"."
	echo ""
	break;;
    
esac
